﻿@model ClinicaHumaita.Models.Users

@{
    ViewData["Title"] = "Edit";
}

<h1>Editar</h1>


<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group" hidden>
                <label asp-for="Id" class="control-label"></label>
                <input hidden asp-for="Id" class="form-control" />
                <span asp-validation-for="Id" class="text-danger"></span>
            </div>
            <div class="form-group" hidden>
                <label asp-for="PersonId" class="control-label"></label>
                <input hidden asp-for="PersonId" class="form-control" />
                <span asp-validation-for="PersonId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Person.name" class="control-label"> </label>
                <input asp-for="Person.name" class="form-control" />
                <span asp-validation-for="Person.name" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="Person.email" class="control-label"></label>
                <input asp-for="Person.email" type="email" class="form-control" required />
                <span asp-validation-for="Person.name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="UserName" class="control-label"></label>
                <input asp-for="UserName" class="form-control" />
                <span asp-validation-for="UserName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Password" class="control-label"></label>
                <input asp-for="Password" class="form-control" />
                <span asp-validation-for="Password" asp- class="text-danger"></span>
            </div>
            <div class="form-group">
                <label class="control-label">Confirme sua senha</label>
                <input id="confirmaPassword" type="password" class="form-control" onblur="validatePassword()" required />
                <span id="message"></span>
            </div>
            <div class="form-group" hidden>
                <label asp-for="Active" class="control-label"></label>
                <input hidden asp-for="Active" class="form-control" />
                <span asp-validation-for="Active" class="text-danger"></span>
            </div>
            <div class="form-group" hidden>
                <label asp-for="Creation_Date" class="control-label"></label>
                <input hidden asp-for="Creation_Date" class="form-control" />
                <span asp-validation-for="Creation_Date" class="text-danger"></span>
            </div>
            <div class="form-group" hidden>
                <label asp-for="Last_login" class="control-label"></label>
                <input hidden asp-for="Last_login" class="form-control" />
                <span asp-validation-for="Last_login" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Salvar" class="btn btn-primary" />
                <a asp-action="Index" asp-controller="Person" class="btn btn-danger ml-5">Voltar</a>
            </div>
        </form>
    </div>
</div>
 

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

<script type="text/javascript">

    function validatePassword() {
        if ($('input[name ="Password"]').val() == $('#confirmaPassword').val()) {
            $('#message').html('Senhas iguais').css('color', 'green');
        }
        else {
            $('#message').html('Senha e a confirmação da senha são diferentes, informe novamente a confirmção').css('color', 'red');
            $("#confirmaPassword").val("");
        }
    }

</script>